package com.brilliance.isc.swift.objmtconvert.result;

import com.prowidesoftware.swift.model.mt.AbstractMT;

/**
 * @author gechengyang
 * @date 2023/2/15
 */
public class Mt2ObjResult {
    private boolean isSuccess = true;//是否转换成功
    private AbstractMT abstractMT;//MT对应的抽象类,可以代表MT103、MT202、MT202COV、MT950、MT700等具体报文
    private String msgType="";//报文类型，比如103、202、202COV、950、700等

    private String description;//转换异常

    public boolean isSuccess() {
        return isSuccess;
    }

    public void setSuccess(boolean success) {
        isSuccess = success;
    }

    public AbstractMT getAbstractMT() {
        return abstractMT;
    }

    public void setAbstractMT(AbstractMT abstractMT) {
        this.abstractMT = abstractMT;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
